# netlify-cms-widget-uuid

A widget for netlify-cms that automates the creation of a `uuid`.

## Install

As an npm package:

```shell
npm install --save netlify-cms-widget-uuid
```

```js
import { UuidControl, UuidPreview } from 'netlify-cms-widget-uuid'

CMS.registerWidget('uuid', UuidControl, UuidPreview)
```

In the browser:

```html
<script src="https://unpkg.com/netlify-cms-widget-uuid@0.0.6/dist/netlify-cms-widget-uuid.js"></script>
<script type="text/javascript">
CMS.registerWidget('uuid', NetlifyCmsWidgetUuid.UuidControl, NetlifyCmsWidgetUuid.UuidPreview);
</script>

```

## How to use

Add to your Netlify CMS configuration:

```yaml
    fields:
      - { name: <fieldname>, label: <fieldlabel>, widget: uuid }
```

## Support

For help with this widget, open an [issue](https://gitlab.com/jacopoa/netlify-cms-widget-uuid/issues).
